# Metadata Catalouge


European XFEL Data Portal is provided by myMdC, allowing users to access the metadata of scientific data taken at the European XFEL facility. Datasets are linked to experiment proposals, annotated by data collection types, samples and are assigned DOIs to be referenced in publications. myMdC helps data management activities and allows users to find open and own proposals data based on the metadata.

Through myMDC users can request to correct migrated runs. Beside correction myMDC is working as the main entry to generate dark calibration constants for detector data.

myMDC stands for Metadata Catalog. It arranges the facility's data into proposals. Each proposal consists of a number of acquired runs. Offline calibration only works with runs set to Good `Run Quality`, which means it was migrated from the online cluster to `gpfs`.


## Proposals

Proposals are created for commissioning or user experiments. There can be a proposal per instrument. Every proposal has a number of team members who have access to interact with the proposal's runs.

proposal's RAW data location can be found at: `/gpfs/exfel/exp/<instrument>/<cycle>/<proposal>/raw`

## Runs

Runs have multiple properties to modify through myMDC.

The most relevant properties are:

- Run Quality: Currently only migrated runs are allowed to be offline calibrated.
- Run Types: A run type can be relevant in accepting a correction request or not. e.g. Correcting dark runs can be skipped on purpose.



## Offline correction


## Generating calibration constant

![calibration constant generation](static/myMDC/calibration_constants.png){ align=right width=200 height=350}


Currently, only dark calibration constants generation can be triggered through myMDC.

